{% macro pagination(total, current, url, nearbyPagesLimit = 4) %}
        {% if total > 1 %}
            <ul class="pagination">
                {% for i in 1..total %}
                    {% if 0 == (current - nearbyPagesLimit) - loop.index %}
                        <li><a href="{{ (url ~ 1)|e }}">1</a></li>
                        {% if 1 != loop.index %}
                            <li><span>…</span></li>
                        {% endif %}
                    {% elseif 0 == (current + nearbyPagesLimit) - loop.index  and (current + nearbyPagesLimit) < total %}
                        <li><span>…</span></li>
                    {% elseif 0 < (current - nearbyPagesLimit) - loop.index %}
                    {% elseif 0 > (current + nearbyPagesLimit) - loop.index %}
                    {% else %}
                        <li {{ current == loop.index ? 'class="active"' }}>
                            {% if current == loop.index  %}
                                <span>{{ loop.index }}</span>
                            {% else %}
                                <a href="{{ url ~ loop.index }}">{{ loop.index }}</a>
                            {% endif %}
                        </li>
                    {% endif %}
                {% endfor %}
                {% if current != total  and (current + nearbyPagesLimit) < total %}
                    <li><a href="{{ (url ~ total)|e }}">{{ total }}</a></li>
                {% endif %}
            </ul>
        {% endif %}
{% endmacro %}
{{ _self.pagination(pager.total, pager.current, pager.url)|spaceless}}
<style>
    .pagination {
        display: inline-block;
        list-style: none;
        padding: 0;
    }

    .pagination li {
        display: inline-block;
        margin: 5px;
        padding: 5px;
        border: 1px solid black;
    }
</style>
